ぷれいんぐLinux

Linuxを遊びたい?Linuxと遊びたい?それとも、Linuxに遊ばれたい?

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Wine on ubuntu Vol. 1

Wineが正式リリースされて、Wine 1.0となったようです。
(2008/7/6現在はWine1.1になっています)
いままで、とっても気になっていたものですが、
手を出していなかったので、これを機会に使って見ようかと。

Wineとは、X Window Systemが動作するUNIX系OS上で,Windowアプリケーションを動作させるためのオープンソース・ソフトウエアです。
ここでいう、UNIX系はLinux, FreeBSD, Solaris(x86)を指しています。

"WINE Is Not An Emulator"の略ということから、PCエミュレータではありません。
Windows APIやDLLをLinux上に実装して、WindowsアプリケーションをLinuxで動作させる。っていうものです。

インストールはリポジトリからです。
http://www.winehq.org/site/download-deb
にインストール方法が記載されているので、その通りにやってみます。

Wine1.0 は、ubuntu Hardy (8.04)が対応ということで、ubuntu Gutsy (7.10)の場合にはubuntu 8.04にアップグレードが必要とのこと。今の環境はubuntu8.04なので問題無しっと。


1. リポジトリの追加

$ wget -q http://wine.budgetdedicated.com/apt/387EE263.gpg -O- | sudo apt-key add -

2. Wineのパッケージリストの追加

$ sudo wget http://wine.budgetdedicated.com/apt/sources.list.d/hardy.list -O /etc/apt/sources.list.d/winehq.list

3. リポジトリの更新
$ sudo apt-get update
 これを実行しないと、バージョンが0.9Xです。

2008/08/09 追加
もし、
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
のメッセージが表示されたのであれば、
$ sudo dpkg --configure -a
を実行します

4. パッケージのインストール

apt://wine
をクリックする。
 

これはこれは・・・・
初めての経験です。プロトコルがapt? 違うよなぁ
調べてみたら、ubuntuは7.10から"Apt URL Handler"というWebから簡単にaptパッケージをインストールできるURLハンドラ機能がインストールされてるんだって。
ほぉぉ。おもしろいね。

コマンドでwineをインストールするには
$ sudo apt-get install wine

Webブラウザから実行するには
URLに apt://wine
 
でも、このAptURLってちょっと怖いよね。
信頼できるリポジトリのみ登録するように自分で守らないといけないってことだね。
あやしいリポジトリを登録していて、ついどっかのあやしいサイトのリンクをクリックしたら
インストールされちゃった。みたいな。
インストールする前に、ダイアログで確認されるから、大丈夫だと思うんだけどさ。

AptURLを調べてるときに、”apt:This! Bookmarklet”ってのがありました。
Webページに含まれるパッケージ名をAptURLに送るブックマークレットだって。
(ブックマークレットとは、簡単に言うとスクリプトをブックマークしたもの)
そんな、しょっちゅうインストールするわけでもないし、必要性が感じられないけど。
便利なのかなぁ


話がそれてしまいましたが、せっかくなので、リンクをクリックしてインストールしてみました。
クリックすれば、もちろんですが、パスワード聞かれます。


インストール無事完了。
パッケージを確認してみましょう
$ dpkg -l wine
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-f/Unpacked/Failed-cfg/Half-inst/t-aWait/T-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ 名前 バージョン 説明
+++-================================================================-
ii wine 1.1.0~winehq0~ Microsoft Windows Compatibility Layer (Binary Emulator and Library)

パッケージをダウンロードしてインストールする場合には、以下の場所からdebパッケージを
ダウンロードします。
http://wine.budgetdedicated.com/archive/index.html

ダウンロードしたのは
wine_1.1.0~winehq0~ubuntu~8.04-1_i386.deb
です。

$ sudo dpkg -i wine_1.1.0~winehq0~ubuntu~8.04-1_i386.deb

ってやってみましたが、エラーでちゃった。
winbindが必要だって。

$ apt-get install winbind
$ sudo dpkg -i wine_1.1.0~winehq0~ubuntu~8.04-1_i386.deb

で、無事完了。

さて、どうやって使うんだろう。Wineって・・・・・・
スポンサーサイト
コメント
コメントの投稿
管理者にだけ表示を許可する
プロフィール

クマぷ~

Author:クマぷ~
Linuxに遊ばれてますか?

FC2カウンター
アドセンス
最近の記事
最近のコメント
月別アーカイブ
カテゴリー
リンク
このブログをリンクに追加する
最近のトラックバック
FC2ブログランキング
押していただけると励みになります

FC2Blog Ranking

カレンダー
09 | 2017/10 | 11
1 2 3 4 5 6 7
8 9 10 11 12 13 14
15 16 17 18 19 20 21
22 23 24 25 26 27 28
29 30 31 - - - -
RSSフィード
ブロとも申請フォーム

この人とブロともになる

QRコード
QRコード
ブログ内検索
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。